<?php
/**
/**
 *\licence GPL 2005-2010  The osCSS developers - osCSS Open Source E-commerce
 *\portion code Copyright (c) 2002 osCommerce
 *\package osCSS-2 <www http://www.oscss.org>
 *\version 2.1.0
 *\date  28/11/10, 08:18
 *\author oscim <mail aurelien@oscim.fr> <www http://www.oscim.fr>
 *\encode UTF-8
 *\group boxes
 *\file
 *\brief very viwed boxes
 *
 *	  Produits les plues vues, en valeurs absolue
*/

  $DB=Database::getInstance();
  $languages_id=$page->the_var('languages_id');
  $best_sellers_query = $DB->query($sql="select distinct p.products_id, pd.products_name from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd," . TABLE_PRODUCTS_TO_CATEGORIES . " p2c, " . TABLE_CATEGORIES . " c  where p.products_status = '1'  and p.products_id = pd.products_id and pd.language_id = '" . (int)$languages_id . "' and  p.products_id = p2c.products_id and p2c.categories_id = c.categories_id and c.categories_status='1' order by pd.products_viewed desc, pd.products_name limit 11" . '');


  if ($best_sellers_query->__get('numRows') >= (int)MIN_DISPLAY_BESTSELLERS) {
    $s = '<ol>'."\n";
    while ($best_sellers = $best_sellers_query->fetchAssoc()) {
      $s .= '<li><a href="'.tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $best_sellers['products_id']).'">'.$best_sellers['products_name'].'</a></li>'."\n";
    }
    $s .= '</ol>'."\n";
    $array= array('title'=>__('box heading very view'),'content'=>tep_output_string_protected($s,false,true));
  }
  else $array= array('title'=>'','content'=>'');
?>